<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::table('users', function (Blueprint $table) {
        $table->string('no_hp')->nullable();
        $table->string('instansi')->nullable();
        $table->string('status')->nullable(); // Mahasiswa, Dosen, dll
        $table->string('no_ktp')->nullable();
        $table->string('alasan')->nullable(); // Tujuan kunjungan
    });
}

public function down()
{
    Schema::table('users', function (Blueprint $table) {
        $table->dropColumn(['no_hp', 'instansi', 'status', 'no_ktp', 'alasan']);
    });
}

};
